Bug 1663348 - Review Request: blogilo - Blogging Client
Summary: Review Request: blogilo - Blogging Client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2019-01-03 23:20 UTC by Kevin Kofler
Modified: 2019-03-29 19:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 05:15:50 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Kevin Kofler 2019-01-03 23:20:41 UTC
Spec URL: https://copr-dist-git.fedorainfracloud.org/cgit/kkofler/kannolo/blogilo.git/plain/blogilo.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/kkofler/kannolo/fedora-rawhide-x86_64/00841425-blogilo/blogilo-17.08.3-10.fc30.src.rpm
Description: Blogilo is a blogging client which supports various blogging APIs.
Fedora Account System Username: kkofler

This is a package that was previously in Fedora and that I wish to unretire. The FTBFS is fixed. You need the following kf5-kpimtextedit build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1176920
that should hopefully be hitting Rawhide soon.

(For F29, you need the following kf5-kpimtextedit build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1176921
and for F28, you need the following kf5-kpimtextedit build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1176922
My plan there is to work with buildroot overrides and a grouped update once the package is properly unretired.)

Comment 1 José Matos 2019-01-04 17:24:42 UTC
Using fedora-review, that locally uses mock (that defaults in this case to fedora-rawhide-x86_64.cfg) I get in build.log:

+ /usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_TESTING:BOOL=FALSE -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_INCLUDEDIR_KF5:PATH=/usr/include/KF5 -DCMAKE_INSTALL_LIBEXECDIR_KF5:PATH=/usr/libexec/kf5 -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_USE_RELATIVE_PATHS:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DECM_MKSPECS_INSTALL_DIR:PATH=/usr/lib64/qt5/mkspecs/modules -DKDE_INSTALL_BINDIR:PATH=/usr/bin -DKDE_INSTALL_INCLUDEDIR:PATH=/usr/include -DKDE_INSTALL_KCFGDIR:PATH=/usr/share/config.kcfg -DKDE_INSTALL_LIBDIR:PATH=/usr/lib64 -DKDE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DKDE_INSTALL_METAINFODIR:PATH=/usr/share/metainfo -DKDE_INSTALL_PLUGINDIR:PATH=/usr/lib64/qt5/plugins -DKDE_INSTALL_QMLDIR:PATH=/usr/lib64/qt5/qml -DKDE_INSTALL_QTPLUGINDIR:PATH=/usr/lib64/qt5/plugins -DKDE_INSTALL_QTQUICKIMPORTSDIR:PATH=/usr/lib64/qt5/imports -DKDE_INSTALL_SYSCONFDIR:PATH=/etc -DKDE_INSTALL_USE_QT_SYS_PATHS:BOOL=ON .. -DBUILD_TESTING:BOOL=OFF
-- The C compiler identification is GNU 8.2.1
-- The CXX compiler identification is GNU 8.2.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- broken
BUILDSTDERR: CMake Error at /usr/share/cmake/Modules/CMakeTestCCompiler.cmake:52 (message):
BUILDSTDERR:   The C compiler
BUILDSTDERR:     "/usr/bin/cc"
BUILDSTDERR:   is not able to compile a simple test program.
BUILDSTDERR:   It fails with the following output:
BUILDSTDERR:     Change Dir: /builddir/build/BUILD/blogilo-17.08.3/x86_64-redhat-linux-gnu/CMakeFiles/CMakeTmp
BUILDSTDERR:     
BUILDSTDERR:     Run Build Command:"/usr/bin/gmake" "cmTC_ed7e6/fast"
BUILDSTDERR:     /usr/bin/gmake -f CMakeFiles/cmTC_ed7e6.dir/build.make CMakeFiles/cmTC_ed7e6.dir/build
BUILDSTDERR:     gmake[1]: Entering directory '/builddir/build/BUILD/blogilo-17.08.3/x86_64-redhat-linux-gnu/CMakeFiles/CMakeTmp'
BUILDSTDERR:     Building C object CMakeFiles/cmTC_ed7e6.dir/testCCompiler.c.o
BUILDSTDERR:     /usr/bin/cc   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection    -o CMakeFiles/cmTC_ed7e6.dir/testCCompiler.c.o   -c /builddir/build/BUILD/blogilo-17.08.3/x86_64-redhat-linux-gnu/CMakeFiles/CMakeTmp/testCCompiler.c
BUILDSTDERR:     {standard input}: Assembler messages:
BUILDSTDERR:     {standard input}:470: Error: unknown pseudo-op: `.attach_to_group'
BUILDSTDERR:     {standard input}:473: Error: unknown pseudo-op: `.attach_to_group'
BUILDSTDERR:     {standard input}:476: Error: unknown pseudo-op: `.attach_to_group'
BUILDSTDERR:     gmake[1]: *** [CMakeFiles/cmTC_ed7e6.dir/build.make:66: CMakeFiles/cmTC_ed7e6.dir/testCCompiler.c.o] Error 1
BUILDSTDERR:     gmake[1]: Leaving directory '/builddir/build/BUILD/blogilo-17.08.3/x86_64-redhat-linux-gnu/CMakeFiles/CMakeTmp'
BUILDSTDERR:     gmake: *** [Makefile:121: cmTC_ed7e6/fast] Error 2
BUILDSTDERR:     
BUILDSTDERR:   
BUILDSTDERR:   CMake will not be able to correctly generate this project.
BUILDSTDERR: Call Stack (most recent call first):
BUILDSTDERR:   CMakeLists.txt:1 (project)

Could it be that spec is missing a BR: gcc-g++?

Comment 2 Kevin Kofler 2019-01-05 02:42:15 UTC
Normally, gcc-c++ is dragged in transitively by the KDE devel stack (the package built fine in Copr: https://copr.fedorainfracloud.org/coprs/kkofler/kannolo/build/841425/ ), but I can add it explicitly.

But the error you are getting is bizarre, because CMake says that both gcc and g++ are found:
-- The C compiler identification is GNU 8.2.1
-- The CXX compiler identification is GNU 8.2.1
and that there is a /usr/bin/cc (which is normally provided by gcc), but that /usr/bin/cc is producing output that the assembler does not understand. So this looks like a different and more complex issue than just a missing BR gcc-c++.

Comment 3 Kevin Kofler 2019-01-05 02:44:47 UTC
This is the Copr build log for fedora-rawhide-x86_64:
https://copr-be.cloud.fedoraproject.org/results/kkofler/kannolo/fedora-rawhide-x86_64/00841425-blogilo/build.log.gz

-- The C compiler identification is GNU 8.2.1
-- The CXX compiler identification is GNU 8.2.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works

Can you please compare your root.log with the one from Copr:
https://copr-be.cloud.fedoraproject.org/results/kkofler/kannolo/fedora-rawhide-x86_64/00841425-blogilo/root.log.gz
to see whether there is any notable difference?

Comment 4 Kevin Kofler 2019-01-05 03:13:16 UTC
You are probably getting inconsistent versions of gcc and binutils for some reason, maybe a stale mirror?

Comment 5 Robert-André Mauchin 2019-02-07 23:52:26 UTC
 - Use %bcond_with/%bcond_without for this:

# uncomment to enable bootstrap mode
%global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

 - Not needed anymore:

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

 - Add hicolor-icon-theme as a RR to own the icons directory

 - Please don't glob the major soname version to avoid unintentional soname bump:

%{_kf5_libdir}/libcomposereditorwebengineprivate.so.5*

 - Add gcc-c++ as a BR

 - /usr/share/doc/HTML/en/blogilo dir is already included in the lang file, you should remove this duplicate.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B
- Package does not contain duplicates in %files.
  Note: BUILDSTDERR: warning: File listed twice:
  /usr/share/doc/HTML/en/blogilo
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- ldconfig not called in %post and %postun for Fedora 28 and later.
  Note: /sbin/ldconfig called in blogilo-libs
  See: https://fedoraproject.org/wiki/Changes/Removing_ldconfig_scriptlets


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "GNU General
     Public License", "GNU Lesser General Public License (v2 or later)",
     "GNU Lesser General Public License (v2.1 or later)", "GNU Free
     Documentation License (v1.2)", "GPL (v2)". 175 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/blogilo/review-blogilo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 655360 bytes in 38 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in blogilo-
     libs , blogilo-debuginfo , blogilo-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2129920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: blogilo-17.08.3-10.fc30.x86_64.rpm
          blogilo-libs-17.08.3-10.fc30.x86_64.rpm
          blogilo-debuginfo-17.08.3-10.fc30.x86_64.rpm
          blogilo-debugsource-17.08.3-10.fc30.x86_64.rpm
          blogilo-17.08.3-10.fc30.src.rpm
blogilo.x86_64: W: non-conffile-in-etc /etc/xdg/blogilo.categories
blogilo.x86_64: W: non-conffile-in-etc /etc/xdg/blogilo.renamecategories
blogilo.x86_64: W: no-manual-page-for-binary blogilo
blogilo-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 6 Kevin Kofler 2019-02-08 04:01:18 UTC
(In reply to Robert-André Mauchin from comment #5)
>  - Use %bcond_with/%bcond_without for this:
> 
> # uncomment to enable bootstrap mode
> %global bootstrap 1
> 
> %if !0%{?bootstrap}
> %global tests 1
> %endif

I don't think that this is a requirement, is it? As far as I know, all the Qt/KDE packages that require bootstrapping use the %global bootstrap 1 idiom for bootstrapping, so I'd rather be consistent.

>  - Please don't glob the major soname version to avoid unintentional soname bump:
>
> %{_kf5_libdir}/libcomposereditorwebengineprivate.so.5*

This is a private library, so why do we care what the soversion is? No other package uses this library, ever.

Comment 7 Robert-André Mauchin 2019-02-08 16:59:13 UTC
(In reply to Kevin Kofler from comment #6)
> (In reply to Robert-André Mauchin from comment #5)
> >  - Use %bcond_with/%bcond_without for this:
> > 
> > # uncomment to enable bootstrap mode
> > %global bootstrap 1
> > 
> > %if !0%{?bootstrap}
> > %global tests 1
> > %endif
> 
> I don't think that this is a requirement, is it? As far as I know, all the
> Qt/KDE packages that require bootstrapping use the %global bootstrap 1 idiom
> for bootstrapping, so I'd rather be consistent.
> 
> >  - Please don't glob the major soname version to avoid unintentional soname bump:
> >
> > %{_kf5_libdir}/libcomposereditorwebengineprivate.so.5*
> 
> This is a private library, so why do we care what the soversion is? No other
> package uses this library, ever.

Noted.

Comment 8 Kevin Kofler 2019-03-12 01:11:56 UTC
Spec URL: https://copr-dist-git.fedorainfracloud.org/cgit/kkofler/kannolo/blogilo.git/plain/blogilo.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/kkofler/kannolo/fedora-rawhide-x86_64/00867025-blogilo/blogilo-17.08.3-11.fc31.src.rpm

* Tue Mar 12 2019 Kevin Kofler <Kevin@tigcc.ticalc.org> - 17.08.3-11
- Remove obsolete ldconfig scriptlets
- Add missing Requires: hicolor-icon-theme
- Add missing BuildRequires: gcc-c++ and (explicit) BuildRequires: cmake
- Remove duplicate mention of the HTML documentation from the file list

Changes:
https://copr-dist-git.fedorainfracloud.org/cgit/kkofler/kannolo/blogilo.git/commit/?id=c4116c63af3963e2ee03f1f687518a84bf40d71c

Is this good now?

Comment 9 Robert-André Mauchin 2019-03-12 01:35:42 UTC
Package approved.

Comment 10 Kevin Kofler 2019-03-12 02:00:50 UTC
Thanks! I filed https://pagure.io/releng/issue/8207 to request unretirement.

Comment 11 Fedora Update System 2019-03-14 13:27:08 UTC
blogilo-17.08.3-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-34665e5a9a

Comment 12 Fedora Update System 2019-03-14 13:27:15 UTC
blogilo-17.08.3-13.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8dc8b2894b

Comment 13 Fedora Update System 2019-03-14 13:27:23 UTC
blogilo-17.08.3-13.fc28 kf5-kpimtextedit-18.08.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fb19cac349

Comment 14 Fedora Update System 2019-03-14 20:59:25 UTC
blogilo-17.08.3-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-34665e5a9a

Comment 15 Fedora Update System 2019-03-15 04:16:49 UTC
blogilo-17.08.3-13.fc28, kf5-kpimtextedit-18.08.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fb19cac349

Comment 16 Fedora Update System 2019-03-15 17:57:16 UTC
blogilo-17.08.3-13.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8dc8b2894b

Comment 17 Fedora Update System 2019-03-19 05:15:50 UTC
blogilo-17.08.3-13.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-03-23 02:25:01 UTC
blogilo-17.08.3-13.fc28, kf5-kpimtextedit-18.08.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-03-29 19:16:22 UTC
blogilo-17.08.3-13.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.